Get information about the maintenance configuration in use by the Octopus Server
GET /api
Response
200 — The requested Maintenance Configuration
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Response
JSON
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Update the maintenance configuration used by the Octopus Server
PUT /api
Request Body
IsInMaintenanceModeboolean (required)
Response
200 — Confirmation that the Maintenance Configuration has been modified, containing the updated configuration
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Request
JSON
{
"IsInMaintenanceMode": true
}Example Response
JSON
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Update the maintenance configuration used by the Octopus Server
PUT /api
Request Body
IsInMaintenanceModeboolean (required)
Response
200 — Confirmation that the Maintenance Configuration has been modified, containing the updated configuration
ResourceobjectIdstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Example Request
JSON
{
"IsInMaintenanceMode": true
}Example Response
JSON
{
"Resource": {
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
}